package cz.kebrt.unitcheck.config;

/**
 * Configuration used by the path printer.
 *
 * @author michal
 */
public class PathPrinterConfig {

    private final boolean traceJRE;
    private final boolean printBytecode;

    /**
     * Constructs a new instance.
     *
     * @param traceJRE the code from Java standard libraries will be printed
     * @param printBytecode detailed Java bytecode instructions will be printed
     */
    public PathPrinterConfig(boolean traceJRE, boolean printBytecode) {
        super();
        this.traceJRE = traceJRE;
        this.printBytecode = printBytecode;
    }

    /**
     * Returns true the code from Java standard libraries will be printed.
     * @return true the code from Java standard libraries will be printed
     */
    public boolean isTraceJRE() {
        return traceJRE;
    }

    /**
     * Returns true if detailed Java bytecode instructions will be printed.
     * @return true if detailed Java bytecode instructions will be printed
     */
    public boolean isPrintBytecode() {
        return printBytecode;
    }


}