package cz.kebrt.unitcheck.jpf;

import gov.nasa.jpf.jvm.JVM;

import java.io.PrintWriter;
import java.io.StringWriter;

/**
 * Converts JPF snapshot to string representation.
 *
 * @author michal
 */
public final class SnapshotConvertor {

    private SnapshotConvertor() { }

    /**
     * Returns string representation of the current thread snapshot.
     *
     * @param vm JPF virtual machine
     * @return string representation of the current thread snapshot
     */
    public static String convert(JVM vm) {
        StringWriter sw = new StringWriter();
        PrintWriter pw = new PrintWriter(sw);
        vm.printLiveThreadStatus(pw);
        return sw.toString();
    }

}
