package cz.kebrt.unitcheck.junit;

import java.util.ArrayList;
import java.util.List;

import org.junit.Test;
import org.junit.runners.model.FrameworkMethod;
import org.junit.runners.model.TestClass;

/**
 * Extract test method names from JUnit4 test cases.
 *
 * @author michal
 */
class JUnit4TestMethodExtractor implements TestMethodExtractor {

    private Class<?> klass;

    /**
     * Constructs an instance.
     * @param klass JUnit4 test class
     */
    public JUnit4TestMethodExtractor(Class<?> klass) {
        this.klass = klass;
    }

    @Override
    public List<String> getTestMethods() {
        List<String> ret = new ArrayList<String>();
        TestClass tc = new TestClass(klass);

        for (FrameworkMethod method : tc.getAnnotatedMethods(Test.class)) {
            ret.add(method.getName());
        }

        return ret;
    }

}
